This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 476462 - IcedTea Web Browser Plugin applet issue when loading in SSL
IcedTea Web Browser Plugin applet issue when loading in SSL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 19:43 EST by Stewart Campbell
Modified: 2009-02-04 21:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 10:39:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of failed event, java applett not loaded under SSL (79.46 KB, image/png)
2008-12-14 19:43 EST, Stewart Campbell
no flags Details

  None (edit)
Description Stewart Campbell 2008-12-14 19:43:35 EST
Created attachment 326891 [details]
Screenshot of failed event, java applett not loaded under SSL

Description of problem:
The java plugin starts but does not load correctly when the web service hosting the java applett/service is in SSL mode.

Version-Release number of selected component (if applicable):
Taken from Firefix "about:plugins"
IcedTea Web Browser Plugin
File name: IcedTeaPlugin.so
The IcedTea Web Browser Plugin 1.4 (fedora-7.b12.fc10-i386) executes Java applets.

How reproducible:
Always

Steps to Reproduce:
Using the web based file manager in Webmin.
1. Access the file manager with Webmin configured in HTTP mode (default), loads correctly
2. Configure Webmin to serve in HTTPS (SSL) and re-access the file manager
3. The java applett starts but does not finishing loading
  
Actual results:
Page with no information, blank.

Expected results:
The page with the java should load successfully within the browser

Additional info:
Linux 2.6.27.7-134.fc10.i686.PAE #1 SMP Mon Dec 1 22:30:53 EST 2008 i686 i686 i386 GNU/Linux
Firefox 3.0.4
Tested using the web based file manager in Webmin.
Tested with several Webmin and Fedora versions and all produced the same result when over SSL.
Comment 1 Deepak Bhole 2009-01-22 14:13:28 EST
This issue is now fixed upstream. The fix will be in the next OpenJDK release for Fedora.
Comment 3 Fedora Update System 2009-02-04 21:23:23 EST
java-1.6.0-openjdk-1.6.0.0-9.b14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.